summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWill Woods <wwoods@redhat.com>2009-03-06 13:27:05 -0500
committerWill Woods <wwoods@redhat.com>2009-03-06 13:27:05 -0500
commitcef63bc96b13d5b3e8bcfdaffa9b3735e6091639 (patch)
tree3350bb1967ee5097c1335be26bf870e2a954cb55
parentf97d29b480aa891c76d8203b88a6de6ba2c66098 (diff)
downloaddebuginfofs-cef63bc96b13d5b3e8bcfdaffa9b3735e6091639.zip
debuginfofs-cef63bc96b13d5b3e8bcfdaffa9b3735e6091639.tar.gz
debuginfofs-cef63bc96b13d5b3e8bcfdaffa9b3735e6091639.tar.xz
Add simple cleanup script
-rwxr-xr-xserver/debuginfofs-cleanup43
1 files changed, 43 insertions, 0 deletions
diff --git a/server/debuginfofs-cleanup b/server/debuginfofs-cleanup
new file mode 100755
index 0000000..ea1bd42
--- /dev/null
+++ b/server/debuginfofs-cleanup
@@ -0,0 +1,43 @@
+#!/bin/bash
+# debuginfofs-cleanup - simple script to purge unneeded debuginfo files
+# Copyright 2009 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+#
+# Author: Will Woods <wwoods@redhat.com>
+
+if [ "$1" == "" ] || [[ "$1" =~ [^0-9] ]]; then
+ echo "usage: debuginfofs-cleanup DAYS"
+ echo "removes any debuginfofs files which haven't been seen in DAYS"
+ exit 1
+else
+ age="$1"
+fi
+
+exportdir="$(sed -ne 's/ *exportdir *=\(.*\)$/\1/p' /etc/debuginfofs.conf 2>/dev/null)"
+
+if [ ! -w "$exportdir/build-id" ]; then
+ echo "Can't remove files from $exportdir. Aborting."
+ exit 1
+fi
+
+echo "Before:"
+df -h $exportdir
+echo "Cleaning up files older than $age days"
+find $exportdir/build-id -type f -mtime "+$age" -delete
+find $exportdir/packages -mindepth 3 -maxdepth 3 -mtime "+$age" \
+ -exec rm -rf {} +
+echo "Now:"
+df -h $exportdir